Bug 427796 - gettext needs rebuild on rawhide
gettext needs rebuild on rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 11:49 EST by Jochen Schmitt
Modified: 2008-02-12 01:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 01:52:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-01-07 11:49:31 EST
At you can see at

http://koji.fedoraproject.org/koji/getfile?taskID=331114&name=root.log

gettext needs a rebuild on rawhide.
Comment 1 Jens Petersen 2008-01-08 21:55:07 EST
Can you explain in more detail with a little more context?

(I am aware that gettext will probably need a rebuild for gcc43.)
Comment 2 Jochen Schmitt 2008-01-09 10:21:09 EST
When I try to build steghide which has a BR agains gettext-devel agains gcc-4.3
on koji, I will get the following error message:

Error: Missing Dependency: libgcj.so.8rh()(64bit) is needed by package gettext-devel
Comment 3 Jakub Jelinek 2008-01-09 19:17:45 EST
Ideally gettext Java binaries would be compiled/linked with -findirect-dispatch,
as 99% of Java packages in the distro are, then it is independent of the GCC
version.  I guess that some tweaking in the java compilation sh script in gettext
would do that.
Otherwise, we just need a rebuilt gettext in dist-f9-gcc43 for the time being and
in dist-f9 when dist-f9 switches to gcc 4.3.0 (in ~ 2 weeks or so).
Comment 4 Jens Petersen 2008-01-24 04:11:30 EST
Thanks, should be fixed in gettext-0.17-1.fc9.

Note You need to log in before you can comment on or make changes to this bug.